<template>
  <GI18nCard
    :i18n="i18n"
    :card="card"
    level="third"
    :wiki-entry="wikiEntry"
    optional
    @deleteElement="$emit('delete')"
  >
    <v-row dense>
      <GCol cols="12">
        <GTextField
          v-model="value._attr.refType"
          i18n="dcc.common.attributes.refType"
          attr-ref-type
        />
      </GCol>
      <GCol cols="12" md="6">
        <DccSelect
          v-model="value.typeOfChange"
          :items="stringTypeOfChange"
          i18n="dcc.administrativeData.coreData.reportAmendedSubstituted.typeOfChange.title"
          validate="required"
        />
      </GCol>
      <GCol cols="12" md="6">
        <XmlTextField
          v-model="value.replacedUniqueIdentifier"
          i18n="dcc.administrativeData.coreData.reportAmendedSubstituted.replacedUniqueIdentifier"
          validate="required notEmptyStringType"
        />
      </GCol>
    </v-row>
  </GI18nCard>
</template>

<script>
import GI18nCard from "../../App/Common/GI18nCard.vue";
import XmlTextField from "~/components/App/Form/XML/XmlTextField";
import GCol from "~/components/App/Common/GCol";
import DccSelect from "~/components/App/Form/XML/DccSelect.vue";
import GTextField from "~/components/App/Form/gTextField";

const stringTypeOfChange = ["amended", "substituted"];

export default {
  name: "ReportAmendedSubstituted",
  components: {
    GTextField,
    DccSelect,
    GCol,
    XmlTextField,
    GI18nCard,
  },
  props: {
    value: Object,
    i18n: {
      type: String,
      default: "dcc.administrativeData.coreData.reportAmendedSubstituted.title",
    },
    card: {
      type: Boolean,
      default: true,
    },
    wikiEntry: String,
  },
  data() {
    return {
      typeOfChange: "",
      replacedUniqueIdentifier: "",
    };
  },
  computed: {
    stringTypeOfChange() {
      return stringTypeOfChange.map((type) => {
        return {
          key: type,
          text: this.$t(
            `dcc.administrativeData.coreData.reportAmendedSubstituted.typeOfChange.${type}`
          ),
        };
      });
    },
  },
};
</script>
